<!DOCTYPE html>
<html lang="en" flow-init data-controller="color-scheme" data-color-scheme="light">
   <head>
      <meta charset="utf-8">
      <meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5.0">
      <meta name="Rating" content="mature">
      <meta name="RATING" content="RTA-5042-1996-1400-1577-RTA"/>
      <meta name="robots" content="index, follow" />
      <link rel="canonical" href="<?= htmlspecialchars(getCanonicalUrl(), ENT_QUOTES, 'UTF-8') ?>" />
      <?php if (empty($url['name']) || ($url['name'] != 'webcamsBday' && $url['name'] != 'webcamsZodiac' && $url['name'] != 'webcamsDetails' && $url['name'] != 'privacy' && $url['name'] != 'terms' && $url['name'] != 'statement' && $url['name'] != 'dmca' && $url['name'] != 'disclaimer')): ?>
      <title><?= htmlspecialchars(ucfirst($title), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'webcamsBday'): ?>
       <title><?= htmlspecialchars(ucfirst($titleBday), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'privacy'): ?>
       <title><?= htmlspecialchars(ucfirst($titlePrivacyPolicy), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'terms'): ?>
       <title><?= htmlspecialchars(ucfirst($titleTerms), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'statement'): ?>
      <title><?= htmlspecialchars(ucfirst($titleDisclaimer), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'dmca'): ?>
      <title><?= htmlspecialchars(ucfirst($titleDMCA), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'disclaimer'): ?>
      <title><?= htmlspecialchars(ucfirst($titleDisclaimer), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'webcamsZodiac'): ?>
      <title><?= htmlspecialchars(ucfirst($titleZodiac), ENT_QUOTES, 'UTF-8') ?></title>
      <?php elseif ($url['name'] == 'webcamsDetails'): ?>
      <title><?= htmlspecialchars(ucfirst($titleFaq), ENT_QUOTES, 'UTF-8') ?></title>
      <?php endif; ?>
      <?php if (!empty($description)): ?>
      <meta name="description" content="<?= htmlspecialchars(ucfirst($description), ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'webcamsDetails'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionFaq, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'webcamsBday'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionBday, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'webcamsZodiac'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionZodiac, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'privacy'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionPrivacyPolicy, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'terms'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionTerms, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'statement'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionDisclaimer, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'dmca'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionDMCA, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'disclaimer'): ?>
      <meta name="description" content="<?= htmlspecialchars($descriptionDisclaimer, ENT_QUOTES, 'UTF-8') ?>">
      <?php endif; ?>
      <?php if (!empty($keywords)): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywords, ENT_QUOTES, 'UTF-8') ?><?php if (!empty($url['page']) && $url['page'] > 1): ?>,page <?= (int)$url['page'] ?><?php endif; ?>">
      <?php elseif ($url['name'] == 'webcamsBday'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsBday, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'webcamsZodiac'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsZodiac, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'webcamsDetails'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsFaq, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'privacy'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsPrivacyPolicy, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'terms'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsTerms, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'statement'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsDisclaimer, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'dmca'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsDMCA, ENT_QUOTES, 'UTF-8') ?>">
      <?php elseif ($url['name'] == 'disclaimer'): ?>
      <meta name="keywords" content="<?= htmlspecialchars($keywordsDisclaimer, ENT_QUOTES, 'UTF-8') ?>">
      <?php endif; ?>
      <?php if (!empty($previewImg)): ?>
      <meta property="og:image" content="<?= htmlspecialchars($previewImg, ENT_QUOTES, 'UTF-8') ?>" />
      <?php endif; ?>
      <?php if (!empty($previewImgWidth)): ?>
      <meta property="og:image:width" content="<?= (int)$previewImgWidth ?>" />
      <?php endif; ?>
      <?php if (!empty($previewImgHeight)): ?>
      <meta property="og:image:height" content="<?= (int)$previewImgHeight ?>" />
      <?php endif; ?>
      <meta property="og:site_name" content="<?= htmlspecialchars($sitename, ENT_QUOTES, 'UTF-8') ?>" />
      <meta property="og:type" content="website" />
      <meta property="og:title" content="<?= isset($title) ? htmlspecialchars($title, ENT_QUOTES, 'UTF-8') : 'Default OG Title' ?>" />
      <meta property="og:description" content="<?= htmlspecialchars($description, ENT_QUOTES, 'UTF-8') ?>" />
      <meta property="og:url" content="<?= htmlspecialchars(getCanonicalUrl(), ENT_QUOTES, 'UTF-8') ?>" />
      <meta name="twitter:card" content="summary" />
      <?php if (!empty($twitter)): ?>
      <meta name="twitter:site" content="@<?= htmlspecialchars($twitter, ENT_QUOTES, 'UTF-8') ?>" />
      <meta name="twitter:creator" content="@<?= htmlspecialchars($twitter, ENT_QUOTES, 'UTF-8') ?>" />
      <?php endif; ?>
      <meta name="twitter:title" content="<?= isset($title) ? htmlspecialchars($title, ENT_QUOTES, 'UTF-8') : 'Default Twitter Title' ?>" />
      <meta name="twitter:description" content="<?= htmlspecialchars($description, ENT_QUOTES, 'UTF-8') ?>" />
      <?php if (!empty($previewImg)): ?>
      <meta name="twitter:image" content="<?= htmlspecialchars($previewImg, ENT_QUOTES, 'UTF-8') ?>" />
      <?php endif; ?>
      <link rel="apple-touch-icon" sizes="180x180" href="/images/favicon/apple-touch-icon.png">
      <link rel="icon" type="image/png" sizes="32x32" href="/images/favicon/favicon-32x32.png">
      <link rel="icon" type="image/png" sizes="16x16" href="/images/favicon/favicon-16x16.png">
      <link rel="manifest" href="/images/favicon/site.webmanifest">
      <meta name="theme-color" content="<?= $bodyBackColor?>">
      <link rel="stylesheet" media="screen" href="/assets.<?= $theme ?>/css/chunk.css?/<?= $refresh?>" />
      <link rel="stylesheet" media="screen" href="/assets.<?= $theme ?>/css/chunk-rander.css?/<?= $refresh?>" />
      <link rel="stylesheet" media="screen" href="/assets.<?= $theme ?>/css/chunk-application.css?/<?= $refresh?>" />
      <link rel="stylesheet" href="/assets.<?= $theme ?>/css/banner_promote.css?/<?= $refresh?>"  />
      <link href="/custom.css?/<?= $refresh?>" rel="stylesheet" type="text/css">
      <link href="/triks_custom.css?/<?= $refresh?>" rel="stylesheet" type="text/css">
      <link rel="stylesheet" href="/assets.<?= $theme ?>/css/modelMingle_3.css?"  />
      <meta name="apple-mobile-web-app-capable" content="no" />
      <?php
// Ensure $fontToUse is set and not empty
if (!empty($fontToUse)) {
    // Dynamically access the font URL based on $fontToUse
    $fontUrl = $$fontToUse;  // This will use the value of $fontToUse to fetch the appropriate font URL
    // Dynamically build the corresponding fontFamily variable name (e.g., 'fontFamily1', 'fontFamily2', etc.)
    $fontFamily = 'fontFamily' . substr($fontToUse, -1); 
    // Check if the font URL is available and not empty
    if (!empty($fontUrl)) {
        echo '<link href="' . htmlspecialchars($fontUrl, ENT_QUOTES, 'UTF-8') . '" rel="stylesheet">';
    }
    // Check if the fontFamily variable is set and not empty
    if (!empty($fontFamily) && isset($$fontFamily)) {
        $fontFamilyValue = $$fontFamily; // Fetch the actual font family name from the config
    } else {
        // Set a default font if $fontFamily is not set
        $fontFamilyValue = 'Roboto, Arial';
    }
} else {
    // If $fontToUse is empty or not set, use a default font
    $fontFamilyValue = 'Roboto, Arial';
}
?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<script src="/assets.<?= $theme ?>/js/jquery.min.js" ></script>
<script src="/assets.<?= $theme ?>/js/js.cookie.min.js" ></script>
<script src="/assets.<?= $theme ?>/js/app.js<?= $refresh ?>" ></script>
<script src="/assets.<?= $theme ?>/js/lazyload.min.js" ></script>
<script src="/assets.<?= $theme ?>/js/left-side-nav.js" ></script>
<script src="/assets.<?= $theme ?>/js/left-side-nav-chunk.js" ></script>
<?php

if (isset($blockFuckers) && $blockFuckers > 0): 
    $blockedCountryCodes = isset($blockedCountryCodes)
        ? array_map('trim', explode(',', strtolower($blockedCountryCodes)))
        : [];
    
    // Check if HTTP_X_REAL_IP is set, otherwise fallback to REMOTE_ADDR
    $userIP = isset($_SERVER['HTTP_X_REAL_IP']) ? $_SERVER['HTTP_X_REAL_IP'] : $_SERVER['REMOTE_ADDR'];

    $usersCountry = strtolower(trim(\geoip_country_code_by_name($userIP)));

    if (in_array($usersCountry, $blockedCountryCodes, true)) {
        // Redirect or block the user
        header('Location: ' . $blockFuckersLinkToGo);
        exit;
    }
endif;

?>

      <?//= !empty($head) ? $head : '' ?>





      
   </head>
   <style>body {font-family: "<?= htmlspecialchars($fontFamilyValue, ENT_QUOTES, 'UTF-8') ?>", sans-serif;}</style>
   <body role="document" class="landing-page explore-index" flow-drop data-controller="turbo-modal playlist interest synced-interests synced-purchases user ui tooltip" >
   <? if ($url['name'] == 'webcamsCustom'): ?>
      <script>$(window).scroll(function(){if ($(this).scrollTop() > 350) { $('#show').addClass('show');} else {$('#show').removeClass('show');}});</script>
      <div id="show" class="campreview-link touch size-widescreen show-video" >
         <div class="campreview" style="width: 420px; height: 240px;">
            <div id="customFloatingChatEmbed" class=" video-container"></div>
         </div>
      </div>
      <? endif; ?>
      <?php if ($webcamsFloatingChat && !empty($floatingChatModel) && $url['name'] != 'webcamsRoulette' && $url['name'] != 'promoteWebsiteDescription' && $url['name'] != 'test-working' && $url['name'] != 'webcamsVersusMat' && $url['name'] != 'videosIndex' && $url['name'] != 'articleIndex' && $url['name'] != 'articleProfile' && $url['name'] != 'webcamsCustom' && $url['name'] != 'photosIndex' && $url['name'] != 'webcamsVersusVs2' && $url['name'] != 'webcamsVersus' && $url['name'] != 'photosGallery' && $url['name'] != 'webcamsRoulette' && $url['name'] != 'webcamsLiveTv' && $url['type'] != 'video' && $url['name'] != 'webcamsReels' && (!isset($model) || (isset($model['status']) && $model['status'] == 'Offline')) && ($url['name'] != 'home' || $homeContent != 'webcamsMulti')): ?>

<script>
   window.onload = function() {
      setTimeout(function() {
         var element = document.getElementById("floatingChat");
         // Ensure the chat appears after the timeout
         element.classList.remove("hidden");
         element.classList.add("showme");
      }, 6000); // 2 seconds delay for debugging
   };
   
   function show() {
      var element = document.getElementById("floatingChat");
      element.classList.toggle("hide-campreview");
      element.classList.toggle("bau");
   }
   
   function hide() {
      var element = document.getElementById("floatingChat");
      element.classList.toggle("hide-campreview");
      element.classList.toggle("hip");
   }

   function small() {
      var element = document.getElementById("floatingChat");
      element.classList.toggle("size-128");
      element.classList.toggle("size-320");
   }

   function closechat() {
      var element = document.getElementById("floatingChat");
      element.classList.toggle("hidden");
      element.classList.toggle("showme");
   }
</script>

<div id="floatingChat" class="campreview-link touch size-widescreen show show-video size-320 hidden" data-url="<?= getUrl('floatingChatEmbed') ?>" data-site="<?= $floatingChatModel['site'] ?>" data-nickname="<?= $floatingChatModel['nickname'] ?>" data-timestamp="<?= time() ?>"
     data-thumb="<?= $floatingChatModel['numImages'] > 0 ? $floatingChatModel['imagePath'] . $floatingChatModel['numImages'] . '.webp' : $floatingChatModel['imageUrl'] ?>">
   <div class="campreview-header">
      <a class="desktop-new-window stream-link header-nick-link" href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $floatingChatModel['siteShortNameCaps'] : '' ), $floatingChatModel)); ?>">
      <img src="<?= $floatingChatModel['numImages'] > 0 ? $floatingChatModel['imagePath'] . $floatingChatModel['numImages'] . '.webp' : $floatingChatModel['imageUrl'] ?>"
         onerror="this.src='<?= $floatingChatModel['imagePath'] ?>jpg'" alt="<?= $floatingChatModel['nickname'] ?> on <?= $floatingChatModel['site'] ?>">
      <span class="username text-description"> <?= $floatingChatModel['nickname'] ?><span class="online-now-text"> </span></span>
      </a>
      <span onclick="show()" class="campreview-show  btn btn-grey pull-right ripple"><i class="fa  fa-caret-up" aria-hidden="true"></i></span>
      <span onclick="closechat()" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-times" aria-hidden="true"></i></span>
      <span onclick="closechat()" class="campreview-show  btn btn-grey pull-right ripple"><i class="fa fa-times" aria-hidden="true"></i></span>
      <span  onclick="hide()" class="campreview-hide  btn btn-grey pull-right ripple"><i class="fa fa-chevron-down" aria-hidden="true"></i></span>
      <span onclick="small()" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-arrows-alt" aria-hidden="true"></i></span>
      </a>
   </div>
   <div class="campreview" >
      <div id="floatingChatEmbed" class="response" style="padding-right: 100%;"></div>
   </div>
</div>
<?php endif; ?>
      <div id='ng-wrapper'>
         <!--sidebar-->
         <? if ($sidebar > 0): ?>
         <? $addClass = 'sidebar-desktop'; include('sidebar.php'); ?>
         <? endif; ?>
         <? $addClass = 'hidden'; $sidebarMenuItems = $sidebarMenuItemsMobile; include('sidebar.php'); ?>
         <!--end sidebar-->
         <div class="outer-wrapper " id="outer-wrapper"<? if ($sidebar < 1): ?>style="left:0px!important"  <? endif; ?>>
            <div class="wrapper">
               <!-- Fixed navbar -->
               <nav id="navbar-id" class="navbar navbar-fixed-top ">
                  <div id="showssearchform" class="search-bar search-bar-top search-bar-top-desktop hidden-xs " ng-show="!show_header_progress_bar">
                     <form class="" action="<?= str_replace(':page', '', getUrl('search')) ?>" accept-charset="UTF-8" method="get">
                        <input type="text" name="q" id="q" value="" placeholder="Search models.."  class="input-mfcs" autocomplete="off">
                        <button type="submit" class="btn btn-blank" aria-label="Search">
                        <i class="fa fa-search" aria-hidden="true"></i>
                        </button>
                        <script>function removeClass(){var e = document.getElementById("showssearchform");e.classList.remove("search-bar-mobile-visible");}</script>
                        <button onclick="removeClass()" type="button" data-dismiss="modal" aria-hidden="true" class="btn btn-blank visible-xs search-bar-top-hide-button">
                        <i class="fa-solid fa-x" aria-hidden="true" style="color: black;"></i>
                        </button>
                     </form>
                  </div>
                  <div class="mfcs-navbar">
                     <div class="mfcs-navbar-brand">
                        <? if($sidebar > 0):?>
                        <button class="mfcs-navbar-link-with-text left-side-nav-toggle-button" id="lolopass" type="button" onclick="toggleBanner()">
                        <i class="fa fa-bars"></i>
                        <span class="visible-xs-block">Menu</span>
                        </button> 
                        <? endif;?>
                        <? if ($headerMenu): ?>
                        <?  include('headerMenu.php'); ?>
                     
                        <? endif; ?>
                     </div>
                     <div class="mfcs-navbar-right">
                        <script>function showssearchform() {var element = document.getElementById("showssearchform"); element.classList.toggle("search-bar-mobile-visible");  element.classList.toggle(" none");}</script>
                       
                        <a href="<?= getUrl('search') ?>" onclick="showssearchform()" class="visible-xs-inline-block search-button-mobile mfcs-navbar-link-with-text">
                       
                        <i class="fa fa-search"></i> 
                        <span>Search</span>
                        </a>
                        <? if($userUse > 0):?> 
                        <? include 'userSet.php'?>
                        <?endif;?>
                     </div>
                  </div>
               </nav>
               <div class="alert-container " style="padding-top: 50px;margin-bottom: -57px;" >



               
<!-- index|header banner-->
<?php if (!empty($indexPageFullBannerDisplay) && $url['name'] == 'home' && isset($indexPageFullBannerLinks) && !empty($indexPageFullBannerLinks)): ?>

  <div class="event-banner hidden-xs">
      <?php 
        // Split the image URLs and custom links into arrays
        $bannerImages = explode(',', $indexPageFullBannerLinks);
        $customLinks = explode(',', $indexPageFullBannerLinkCustom);
        
        // Ensure the arrays are the same length
        $totalBanners = count($bannerImages);
        $randomIndex = rand(0, $totalBanners - 1); // Pick a random index for the banner
        
        // Select the corresponding image and link
        $selectedBanner = trim($bannerImages[$randomIndex]);
        $selectedLink = trim($customLinks[$randomIndex]);
      ?>
      <a href="<?= $selectedLink ?>" style="position:absolute; left:0px; top:0px;  width:100%; height:100%">
        <img src="<?= $selectedBanner ?> " style="width:100%;" alt="Event Banner" loading="lazy" />
      </a>
  </div>

<!--eof  index|header banner-->
<script>
  document.addEventListener("DOMContentLoaded", function() {
    let banners = <?= json_encode($bannerImages) ?>;
    let links = <?= json_encode($customLinks) ?>;
    let bannerContainer = document.querySelector('.event-banner');
    
    if (!bannerContainer || banners.length === 0 || links.length === 0) {
      console.warn("Event banner not found or no banners available.");
      return; // Prevent further execution if no banner exists
    }

    let linkContainer = bannerContainer.querySelector('a');
    let imageContainer = linkContainer.querySelector('img');
    let bannerIndex = 0;
    
    let timeToChangeBanner = <?= (int) $timeToChangeBanner ?> * 1000; // Ensure it's a valid integer
    if (timeToChangeBanner <= 0) {
      console.warn("Invalid banner change time.");
      return;
    }

    setInterval(function() {
      if (!banners[bannerIndex] || !links[bannerIndex]) return; // Prevent errors

      bannerIndex = (bannerIndex + 1) % banners.length;
      imageContainer.src = banners[bannerIndex];
      linkContainer.href = links[bannerIndex];
    }, timeToChangeBanner);
  });
</script>


<?php endif; ?>

<!--eof  index|header banner-->






                  <?//print_r($headerCategoriesMobile);?>
                  <!--headerCategoriesMobile-->
                  <div class="timeline-filter-dropdown collapse in" id="feed-options"  <?if(isMobile()) :?> style="display: flex;align-items: center;"<?endif?> >
                     <div class="flex flex-wrap"  <?if(isMobile()) :?>style="margin: 0 auto;"<?endif?>>
                        <?php if (!empty($headerMenuTabsItems) && !isMobile()): ?>
                        <?php if (substr($url['name'], 0, 14) == 'webcamsProfile'): ?>
                        <a class="tabsItems active" href="#"><?= ucfirst($model['nickname']) ?>'s Cam</a>
                        <?php endif; ?>
                        <?php foreach ($headerMenuTabsItems as $item): ?>
                        <?php if (!empty($item['dropdown'])): ?>
                        <a class="tabsItems active" href="#"><?= $item['label'] ?></a>
                        <?php foreach ($item['items'] as $i): ?>
                        <a href="<?= $i['link'] ?>"><?= $i['label'] ?></a>
                        <?php endforeach; ?>
                        <?php else: ?>
                        <?php if (!isset($item['category']) || ($item['category'] != 'featured' || !isset($model['nickname']))): ?>
                        <list class="<?= (!empty($url['args']['category']) && $url['args']['category'] == $item['category']) || (!empty($item['category']) && $item['category'] == 'featured' && $url['name'] == 'home') ? 'selected' : '' ?>">
                           <a class="tabsItems active" href="<?= $item['link'] ?>"><?= $item['label'] ?></a>
                        </list>
                        <?php endif; ?>
                        <?php endif; ?>
                        <?php endforeach; ?>
                        <?php elseif (!empty($headerCategoriesMobile ) && isMobile()): ?>
                        <?php foreach ($headerCategoriesMobile as $item): ?>
                        <a  class="tabsItems active"href="<?= $item['link'] ?>"><?= $item['label2'] ?></a>
                        <?php endforeach; ?>
                        <?php endif; ?>
                        <?php
                           // Function to detect if the user is on a mobile device
                           function isMobile()
                           {
                               // Use a more sophisticated method for device detection based on your needs
                               return preg_match("/(android|avantgo|blackberry|bolt|boost|cricket|docomo|fone|hiptop|mini|mobi|palm|phone|pie|tablet|up\.browser|up\.link|webos|wos)/i", $_SERVER["HTTP_USER_AGENT"]);
                           }
                           ?>

                           
                      <? /*if (!empty($headerMenuTabsItems)): ?>
                           <? if (substr($url['name'], 0, 14) == 'webcamsProfile'): ?>
                             <a  class="tabsItems active" href="#"><?= ucfirst($model['nickname']) ?>'s Cam</a>
                           <? endif; ?>
                           <? foreach ($headerMenuTabsItems as $item): ?>
                               <? if (!empty($item['dropdown'])): ?>
                                 <a class="tabsItems active" href="#"><?= $item['label'] ?></a>
                                       <? foreach ($item['items'] as $i): ?>
                                       <a  href="<?= $i['link'] ?>"><?= $i['label'] ?></a>
                                       <? endforeach; ?>
                               <? else: ?>
                                   <? if (!isset($item['category']) || ($item['category'] != 'featured' || !isset($model['nickname']))): ?>
                                   <list class="<?= (!empty($url['args']['category']) && $url['args']['category'] == $item['category']) || (!empty($item['category']) && $item['category'] == 'featured' && $url['name'] == 'home') ? 'selected' : '' ?>">
                                     <a class="tabsItems active" href="<?= $item['link'] ?>"><?= $item['label'] ?></a>
                                   </list>
                                   <? endif; ?>
                               <? endif; ?>
                           <? endforeach; ?>
                           <? endif; */?>




                        <? if ($headerTags && $addClass == 'headermenu-desktop' && substr($url['name'], 0, 14) != 'webcamsProfile'): #Display tags on categories place if remove  $addClass == 'headermenu-desktop'?>
                        <? $i=0; foreach ($tags as $name => $t): if ($i++ < 20): ?>
                        <a class="tabsItems active" href="<?= encodeUrl('webcamsTag', $t) ?>">#<?=  $name ?></a>
                        <? endif; endforeach ?>
                        <a class="tabsItems active" href="<?= encodeUrl('webcamsTagspage') ?>">(more tags)</a>
                        <? endif; ?>
          

                        <span class="flex-grow" style="flex-grow:5"></span>
                     </div>
                  </div>
               </div>
               <div id='content-container' class="container-content container " role="main">
              
              
            
               <h1 class="center-mobile mt5 p-small" style="margin-top:5px; font-size: 20px!important;">
   <?php 
    if ($url['name'] == 'webcamsDetails') {
      echo isset($titleFaq) ? $titleFaq : "Explore Live Cam Shows and Models – Your Guide to Interactive Webcam Entertainment";  // Set a meaningful default
    } elseif ($url['name'] == 'photosGallery') {
      echo isset($description) ? $description : "Browse Stunning Photos of Your Favorite Models – Sexy, Artistic, and Free";  // Fallback to related content
    } elseif ($url['name'] == 'webcamsZodiac') {
      echo isset($titleZodiac) ? $titleZodiac : "Zodiac-Inspired Cam Shows – Get Ready for an Astrological Live Experience"; // Engaging and thematic fallback
    } elseif ($url['name'] == 'webcamsBday') {
      echo isset($titleBday) ? $titleBday : "Celebrate Birthday Cam Shows – Special Live Events for Every Birthday";  // Captures the theme of birthday shows
    } elseif ($url['name'] == 'webcamsSite') {
      echo isset($title) ? $title : "Explore Top Webcam Shows – Meet Your Favorite Models and Experience Live Entertainment";  // A general fallback that aligns with the site
    } 
    // make user search display the meta 
    elseif ($url['name'] == 'search') {
      // Get the keyword from URL arguments, if available
      $kw = $url['args']['kw'] ?? '';
      $title = $title ?? "Explore Top Webcam Shows – Meet Your Favorite Models and Experience Live Entertainment";
      if ($kw) {$title = str_replace($kw, ucfirst($kw), $title);}
      echo $title;}

      if ($url['name'] != 'webcamsProfile') {
         echo (isset($setReconPageMeta) && $setReconPageMeta == 'title') 
             ? $url['meta']['title'] 
             : $url['meta']['description'];
     }
     
    ?>
</h1>


<? //-scroll model subject header ?>
                  <?php
if (!empty($modelsScrollingList) && !empty($url['name']) && $url['name'] == 'home') :
    // Define the path to the emojis directory
    $emojiDir = $_SERVER['DOCUMENT_ROOT'] . $modelsScrollingLemoticons;

    // Define the file extensions to look for
    $fileExtensions = ['png', 'svg', 'jpg', 'jpeg', 'gif', 'webp'];

    // Initialize an array to hold the matching files
    $emojiFiles = [];

    // Fetch all image files with the specified extensions
    foreach ($fileExtensions as $ext) {
        $emojiFiles = array_merge($emojiFiles, glob($emojiDir . "*.$ext"));
    }

    // Shuffle the array to get a random order
    shuffle($emojiFiles);
?>
 

                  <ul class="custom-list" id="scrollingList" >
                     <?php foreach ($models as $m) : ?>
                     <?php if (!empty($m['subject'])) : 
                        $subjectWords = preg_replace('/\s+/', ' ', $m['subject']);
                        $subjectWords = explode(' ', $subjectWords);
                        ?>
                     <li class="ListSubject">
                        <strong>
                        <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : ''), $m)); ?>" class="text-description">
                        <?= ucfirst($m['nickname']) ?>
                        </a>
                        </strong>
                        <?php foreach ($subjectWords as $word) : ?>
                        <?php if (strpos($word, '#') !== false) : ?>
                        <?php
                           // Remove '#' symbol from the word
                           $tag = str_replace('#', '', $word);
                           
                           if (!empty($modelsScrollingLink)) {
                               $link = str_replace('tag=modelsScrollTag', 'tag=' . $tag, $modelsScrollingLink);
                               $targetAttribute = 'target="_blank"';
                           } else {
                               $link = $searchUrl . 'kw=' . $tag;
                               $targetAttribute = ''; // No target attribute for default links
                           }
                           ?>
                        <a href="<?= $link ?>" class="text-description linksTags" <?= $targetAttribute ?>>#<?= $tag ?></a>
                        <?php else : ?>
                        <?= $word ?>
                        <?php endif; ?>
                        <?php endforeach; ?>
                        <?php if (!empty($emojiFiles)) : ?>
                        <?php 
                           $randomEmoji = array_shift($emojiFiles); 
                           $emojiName = pathinfo($randomEmoji, PATHINFO_FILENAME);
                           $altText = ucfirst($m['nickname']) . "'s Cams room topic live on " . strtoupper($m['site']) . " - " . $emojiName;
                           ?>
                       <img src="<?= $modelsScrollingLemoticons . basename($randomEmoji) ?>" alt="<?= htmlspecialchars($altText, ENT_QUOTES, 'UTF-8') ?>" class="emoji-image" loading="lazy">

                     
                     
                        <?php endif; ?>
                     </li>
                     <?php endif; ?>
                     <?php endforeach; ?>
                  </ul>
                  <script>
                     var scrollingList = document.getElementById('scrollingList');
                     
                     function scrollList() {
                         scrollingList.scrollLeft += 1;
                     }
                     
                     setInterval(scrollList, 50);
                  </script>
                  <?php endif; ?>
                 <?// <!--scroll model subject header-->?>
                  <?php if (isset($homeEmbedWide) && !empty($homeEmbedWide) && isset($url['name']) && $url['name'] == 'home'): ?>

                     
                  <? include 'webcamsWideEmbed.php'?>
                  <?endif;?>
                  <?php if (isset($footerPromoteSliderUpGrid) && $url['name'] == 'home' && $footerPromoteSliderUpGrid > 0): ?>
                  <? if(!empty($footerPromoteSlider)):?>
                  <div class="carousel_content__RfxDh hidden-xs">
                     <button id="prevButton">
                        <svg height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
                           <rect fill="#fff" height="32" opacity="0" width="32"></rect>
                           <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
                        </svg>
                     </button>
                     <div class="carousel_bannerWrapper__cQHkR">
                        <a class="carousel_terciaryRight__JaR7S" href="<?= $footerPromoteLink1?>">
                           <div class="carousel_overlay__defT7"></div>
                           <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner1?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;">
                        </a>
                        <a class="carousel_secondaryLeft__x_r1V" href="<?= $footerPromoteLink2?>">
                           <div class="carousel_overlay__defT7"></div>
                           <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner2?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;">
                        </a>
                        <a class="carousel_mainBanner__oOVtn" href="<?= $footerPromoteLink3?>">
                           <div class="carousel_overlay__defT7"></div>
                           <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner3 ?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;">
                        </a>
                        <a class="carousel_secondaryRight__R_FSX" href="<?= $footerPromoteLink4?>">
                           <div class="carousel_overlay__defT7"></div>
                           <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner4?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;">
                        </a>
                     </div>
                     <button id="nextButton">
                        <svg class="carousel_arrowRight__HX4v4" height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
                           <rect fill="#fff" height="32" opacity="0" width="32"></rect>
                           <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
                        </svg>
                     </button>
                     <div class="carousel_mobileNav__GE54W"><span class="carousel_smallDot__3x2_N"></span><span class="carousel_mediumDot__LdqTN"></span><span class="carousel_mediumDot__LdqTN carousel_active__LSqQ3"></span><span class="carousel_smallDot__3x2_N"></span></div>
                  </div>
                  <script>
                     const bannerWrapper = document.querySelector('.carousel_bannerWrapper__cQHkR');
                     const nextButton = document.getElementById('nextButton');
                     const prevButton = document.getElementById('prevButton');
                     
                     // Function to rotate classes
                     function rotateClasses() {
                         const items = Array.from(bannerWrapper.children);
                     
                         const tempClass = items[0].className;
                         for (let i = 0; i < items.length - 1; i++) {
                             items[i].className = items[i + 1].className;
                         }
                         items[items.length - 1].className = tempClass;
                     }
                     
                     // Function to show the next image
                     function showNextImage() {
                         rotateClasses();
                     }
                     
                     // Function to show the previous image
                     function showPrevImage() {
                         const items = Array.from(bannerWrapper.children);
                     
                         const tempClass = items[items.length - 1].className;
                         for (let i = items.length - 1; i > 0; i--) {
                             items[i].className = items[i - 1].className;
                         }
                         items[0].className = tempClass;
                     }
                     
                     // Event listeners for the next and previous buttons
                     nextButton.addEventListener('click', showNextImage);
                     prevButton.addEventListener('click', showPrevImage);
                  </script>   
                  <?endif;?>
                  <?endif;?>
               <?// <!--announcement-banner--->?>
                  <?php if (isset($announcementBanner) && $announcementBanner > 0): ?>
                  <?php include 'headerAnnouncement.php'; ?>
                  <?php endif; ?>
                  <?// <!--announcement-banner--->?>

                  <?// <!--container-content--->?> <?= $page_contents ?> <?// <!--container-content--->?>

               </div>
              
               <? if ($url['name'] == 'home'): ?>
               <? if($homeVideos > 0):?><? include 'homeVideos.php';?><?endif;?>
               <? if($homePhotos > 0):?><? include 'homePhotos.php';?><?endif;?>
               <?endif;?>
               <?php if (isset($setMetaFooterActive) && $setMetaFooterActive > 0): ?>
               <div class="well mt10 text-description">
                  <div>
                     <?// <!--META--->?>
                     <?php if ($url['name'] == 'videosPlayer'): ?>
                     <?//= truncate($description, 117) ?> <?//= $keywords ?> <?php endif; ?>
                     <?php if ($url['name'] == 'photosIndex'): ?>
                     <?//= truncate($description, 117) ?> <?//= $keywords ?><?= $description ?>   <?php endif; ?>
                     <?php if ($url['name'] == 'photosGallery'): ?>
                     <?//= $description ?>
                     <?php endif; ?>
                     <?php if ($url['name'] == 'home'): ?>
                     <?php
                        if ($setFooterPageMeta == 'title') {
                            echo $title;
                        } else {
                            echo $description;
                        }
                        ?>
                     <?php elseif ($url['name'] != 'webcamsProfile'): ?>
                     <?php
                        if ($setFooterReconPageMeta == 'title') {
                            echo $title;
                        } else {
                            echo $description;
                        }
                        ?>
                     <?php endif; ?>
                     <?php if ($url['name'] == 'webcamsProfile'): ?>
                     <?php
                        if ($setFooterModelPageMeta == 'title') {
                            echo $title;
                        } else {
                            echo $description;
                        }
                        ?>
                     <?php endif; ?>
                     <?php if ($url['name'] == 'webcamsZodiac'): ?>
                     <?=  $descriptionZodiac;?>
                     <?endif;?>
                     <?php if ($url['name'] == 'webcamsDetails'): ?>
                     <?=  $descriptionFaq;?>
                     <?endif;?>
                     <?php if ($url['name'] == 'webcamsBday'): ?> 
                     <?=  $descriptionBday ?> 
                     <?endif;?>
                     <?// <!--META--->?>
                  </div>
               </div>
               <?php endif; ?>
               <div class="tag-cloud">
                  <?// if($url['name'] != 'videosIndex' && $url['name'] != 'videosPlayer'  && $url['name'] != 'webcamsSite' && $url['name'] != 'search'): ?>
                  <? $float = 1; foreach ($searchCloud as $kw => $data): ?>
                  <a style="font-size: <?= rand(12, 35);?>px" href="<?= $searchUrl ?>kw=<?= $kw ?>"   data-weight="<?=$data['weight']?>" title="webcams categories"><?= $kw ?></a>
                  <? $float = !$float; endforeach; ?>
               </div>
               <?//endif;?>





               <? $blogArticleDisplayFooter = 0;?>

               <div class="collection-outer-container  content-container hidden-xs" style="margin:10px;">
            <h3 class="center-mobile mt5 p-small" style="margin-top:5px;margin-left: 4px;font-size: 20px!important;">
                Fun - ways to spice up your sex life
            </h3>
               <?php
if (isset($blogArticleDisplayFooter) && $blogArticleDisplayFooter > 0):
    // Fetch the most recent 4 blog posts
    $blogs = \Avos\Database\queryAssoc("SELECT * FROM ArticleBlogPosts ORDER BY CreationDate DESC LIMIT 4");

    // Function to calculate reading time
    function calculateReadingTime($content) {
        $wordCount = str_word_count(strip_tags($content));
        $readingTime = ceil($wordCount / 200); // Average reading speed is 200 words per minute
        return $readingTime;
    }



    
    foreach ($blogs as $b):
        $postLink = encodeUrl('articleProfile', $b);
        $postLink = str_replace(' ', '-', $postLink);
        $combinedText = $b['Content'] . ' ' . $b['Description'];
        $readingTime = calculateReadingTime($combinedText);
        ?>

            <div class="col-md-3 profile-sidebar">
                <div class="well mt10">
                    <div class="m-article-card__picture">
                        <a href="<?= $postLink ?>" class="m-article-card__picture-link" aria-hidden="true" tabindex="-1">
                            <img class="m-article-card__picture-background" src="<?= "/photosBlog/" . $b['id'] . "/" . $b['MainImage'] ?>" loading="lazy" alt="">
                        </a>
                    </div>
                    <br />
                    <div class="m-article-card__info">
                        <a href="<?= $postLink ?>" class="active tab"><?= ucfirst($b['Category']) ?></a>
                        <div>
                            <h3 class="username" title="">
                                <?= $b['Title'] ?>
                            </h3>
                        </div>
                        <div>
                            <?= substr(strip_tags($b['Description']), 0, 100) . '...' ?>
                            <div class="mt25 item-date-time-container">
                                <a class="btn btn-grey btn-sm similar-content-reload ripple" data-remote="true" href="<?= $postLink ?>">Read All</a>
                            </div>
                        </div>
                        <div class="ask-me-asker">
                            <span class="album-at"><?= date('j M Y', strtotime($b['publishedOn'])) ?></span>
                            <span class="album-at">•</span>
                            <span class="album-at"><?= $readingTime ?> min read</span>
                        </div>
                    </div>
                </div>
            </div>
       
    <?php endforeach; ?>
     </div>
<?php endif; ?>

</div> 














               <? if (!empty($footerTemplate) || !empty($footerMenuItems)): ?>
               <div class="footer">
                  <div>
                     <a href="/2257.html">18 U.S.C. 2257 Record Keeping Requirements Compliance Statement</a>
                  </div>
                  <div>
                     <div>
                        <span class="hidden-xxs">&copy; 2022 - <?= date("Y"); ?>
                        <a href="https://twitter.com/share?hashtags=<?= $keywords ?>&via=<?=$twitter?>"target=”_blank” >Share</a> &bull;</span>
                        <? if (!empty($footerTemplate)): ?>
                        <? include($footerTemplate) ?>
                        <? elseif (!empty($footerMenuItems)): foreach ($footerMenuItems as $i): ?>
                        <a href="<?= $i['link'] ?>" <? if ($i['internal'] == false): ?>target="_blank" rel="noopener"<? endif; ?>><?= $i['label'] ?></a>  &bull;
                        
                           <? endforeach; endif; ?>
                        <?php if (isset($promoteEmail) && !empty($promoteEmail)): ?>
    <a href="mailto:<?= htmlspecialchars($promoteEmail, ENT_QUOTES, 'UTF-8') ?>">Promote</a> &bull;
<?php endif; ?>
<a href="/privacy.html" aria-label="Read our Privacy Policy on <?= $sitename;?>">Privacy Policy</a> &bull;
<a href="/terms-conditions.html" aria-label="View Terms and Conditions">Terms & Conditions</a> &bull;
<a href="/dmca.html" aria-label="Learn about our DMCA Policy">DMCA</a> &bull;

                     </div>
                  </div>
               </div>
               <? endif;?>
            </div>
            <? if ($headerMenu): ?>
            <?  include('footerMenu.php'); ?>
            <? endif; ?>
         </div>

         <? if ($url['name'] != 'privacy' && empty($_COOKIE['cookie-policy'])): ?>
         

<style>






</style>

<div id="cookiePolicyBanner" class="cookie-message ishow">
    <p class="gfCjKt">18+</p>
    <span>
        <strong class="bclass"><?= $sitename ?></strong> uses cookies to improve your experience, analyze site traffic, and provide personalized content. By continuing to browse the site, you agree to our use of cookies. For more information, see our <a href="<?= encodeUrl('privacy') ?>" 
   aria-label="Privacy Policy - Learn more about <?= $sitename ?> cookie usage and data protection" 
   title="Privacy Policy - Learn more about <?= $sitename ?> cookie usage and data protection" 
   rel="noopener noreferrer" 
   target="_blank">
   Privacy Policy
</a>.
</br>
<button 
    onclick="cookieshiden()" 
    id="cookie-policy-accept" 
    class="cookie-notify-button" 
    aria-label="Accept cookies and continue browsing the site" 
    title="Accept cookies and continue browsing the site" 
    type="button" 
    role="button"
    aria-pressed="false">
    Agree and Continue
</button>
    </span>
    
  <!--  <div class="cookie-actions">
        <a class="close" onclick="cookieshiden()" id="cookie-policy-close">
            <i class="fa fa-times"></i>
        </a>
    </div>-->
</div>


         <? endif; ?>
      </div>
      <script>
         $(function() {
         
           //resizerSetup('floatingChatEmbed');
           //resizeHeight('.sidebar-desktop', 'sidebar-anchor');
         //  resizeHeight('.sidebar-mobile', 'sidebar-anchor');
           //<? if (substr($url['name'], 0, 14) == 'webcamsProfile'): ?>resizerSetup('chatembed');<? endif; ?>
               //resizerSetup('customChatEmbed');
               //resizerSetup('customFloatingChatEmbed');
         
         
         
             <? if ($url['name'] == 'webcamsCustom' || ($url['name'] == 'home' && $homeContent == 'webcamsCustom')): ?>
                 modelsGrid.init("<?= encodeUrl('webcamsCustomSearch') ?>", "<?= encodeUrl('webcamsCustom') ?>", ".box", '#customList', '#customChatEmbed', '#customFloatingChatEmbed', 0);
         
             <? elseif ($url['name'] == 'webcamsMulti' || ($url['name'] == 'home' && $homeContent == 'webcamsMulti')): ?>
                 modelsGrid.init("<?= encodeUrl('webcamsMultiSearch') ?>", "<?= encodeUrl('webcamsMulti') ?>", ".box", '#multiList', '#multiChatEmbed', '', <?= $multiEmbedCount ?>);
         
                 
         
                 
         
          <? elseif ($url['name'] == 'webcamsVersusMat' ): ?>
                 modelsGrid.init("<?= encodeUrl('webcamsVersusSearch') ?>", "<?= encodeUrl('webcamsVersusMat') ?>", ".box", '#multiList', '#versusFight', '',2);
         
         
         
         
         
         
         
         
         
           
         
             <? elseif ($url['name'] == 'webcamsRoulette'): ?>
              modelsGrid.init("<?= encodeUrl('webcamsRouletteSearch') ?>", "<?= encodeUrl('webcamsRoulette') ?>", ".beef", '#videoPlayerWrapper', '#videoContainer', <?= $multiEmbedCount ?>);
         
             <? elseif (isset($flavor) && $flavor == 'streamray'): ?>
                 modelsGrid.init("<?= encodeUrl('search') ?>", "", "", '.page-content', '', '', 1);
         
             <? endif; ?>
         
         
         
         
               page.init("<?= $url['name'] == 'webcamsCustom' ? getUrl('webcamsCustomSearch') : ($url['name'] == 'webcamsMulti' ? getUrl('webcamsMultiSearch') : ($url['name'] == 'home' ? $homePagination : getRoute())) ?>", '#content-yield-container', '#loadmore', <?= $paginationLoadMore == 'auto' ? 1 : 0 ?>, <?= $page ?>, <?= !empty($pages) ? $pages : 0 ?>);
          
         
         //versus pagination load more 
         <?if ($url['name'] == 'webcamsVersusMat' || ($url['name'] == 'home' && $homeContent == 'webcamsVersusMat' )): ?>
         page.init("<?= $url['name'] == 'webcamsCustom' ? getUrl('webcamsCustomSearch') : ($url['name'] == 'webcamsVersusMat' ? getUrl('webcamsVersusSearch') : ($url['name'] == 'webcamsVersusMat' ? $homePagination : getRoute())) ?>", '#versusList', '#loadmore', <?= $paginationLoadMore == 'auto' ? 1 : 0 ?>, <?= $page ?>, <?= !empty($pages) ? $pages : 0 ?>);
         <? endif; ?> 
         
         
         
               <? if (!$homeSidebar && $url['name'] == 'home'): ?>
             $('.sidebar').hide();
             $('body').removeClass('sidebar-active');
             $('.sidebar').addClass('collapse');
             create_data_cookie('hide_sidebar', '1', 7);
         <? endif; ?>
         
             $('#cookie-policy-accept').click(function() {
                 $('#cookiePolicyBanner').removeClass('ishow');
                 $('#cookiePolicyBanner').addClass('hidecookies');
                 Cookies.set('cookie-policy', 1);
             });
         
         <? if ($sidebarAjaxLinks): ?>
             sidebarAjaxLinks();
         <? endif; ?>
         });
         
         <? if (!empty($refreshImagesInterval)): ?>
         function refreshImages() {
             var refresh = '?' + Math.floor(new Date() / 1000);
             $('.preview img').each(function() {
                 let t = $(this).attr('src');
                 if (t) {
                     let src = t.replace(/\?.*/, '') + refresh;
                     $(this).attr('src', src);
                 }
             });
             setTimeout(refreshImages, <?= $refreshImagesInterval * 1000 ?>);
         }
         
         setTimeout(refreshImages, <?= $refreshImagesInterval * 1000 ?>);
         <? endif; ?>
         
      </script>
      <?php if (!empty($googleTag)): ?>
      <script async src="https://www.googletagmanager.com/gtag/js?id=<?= $googleTag ?>"></script>
      <script>
         window.dataLayer = window.dataLayer || [];
         function gtag(){dataLayer.push(arguments);}
         gtag('js', new Date());
         gtag('config', '<?= $googleTag ?>');
      </script>
      <? endif; ?>
      <script type="text/javascript">
         function create_data_cookie(e,a,i){if(i){var o=new Date;o.setTime(o.getTime()+24*i*60*60*1e3);var s="; expires="+o.toGMTString()}else s="";document.cookie=e+"="+a+s+"; path=/"}
         function read_data_cookie(e){for(var a=e+"=",i=decodeURIComponent(document.cookie).split(";"),o=0;o<i.length;o++){for(var s=i[o];" "===s.charAt(0);)s=s.substring(1);if(0===s.indexOf(a))return s.substring(a.length,s.length)}return""};
      </script>
      <script type="text/javascript">
         lazyLoadInstance = new LazyLoad({ });
      </script>
   </body>
</html>